edu.isi.pegasus.planner.parser

## Class ScannerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - edu.isi.pegasus.planner.parser.ScannerException

All Implemented Interfaces:
  java.io.Serializable

    public class ScannerException
    extends java.lang.RuntimeException

This class is used to signal errors while scanning or parsing.

Version:
  $Revision$
Author:
  Jens Voeckler, Karan Vahi, Gaurang Mehta
See Also:
  `org.griphyn.cPlanner.classes.PoolConfigScanner`, `org.griphyn.cPlanner.classes.PoolConfigParser2`, Serialized Form

### Field Summary

Fields
`private int` `m_lineno`

### Constructor Summary

Constructors
Constructor and Description
`ScannerException(int lineno, java.lang.String message)`
`ScannerException(java.io.LineNumberReader stream, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLineNumber()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_lineno

    private int m_lineno

### Constructor Detail

#### ScannerException

    public ScannerException(java.io.LineNumberReader stream,
                            java.lang.String message)

#### ScannerException

    public ScannerException(int lineno,
                            java.lang.String message)

### Method Detail

#### getLineNumber

    public int getLineNumber()